%global momorel 1

Summary: Abraction/convenience libraries
Name: ilmbase
Version: 2.2.1
Release: %{momorel}m%{?dist}
License: Modified BSD
URL: http://www.openexr.org/
Group: System Environment/Libraries
#Source0: https://github.com/downloads/openexr/openexr/%{name}-%{version}.tar.gz
Source0: http://download.savannah.nongnu.org/releases/openexr/%{name}-%{version}.tar.gz
NoSource: 0
## upstreamable patches
# explicitly add $(PTHREAD_LIBS) to libIlmThread linkage (helps PTHREAD_LIBS workaround in %%build)
Patch51: ilmbase-2.2.1-no_undefined.patch
# add Requires.private: gl glu to IlmBase.pc
Patch53:  ilmbase-1.0.3-pkgconfig.patch
Patch100: %{name}-%{version}-ucontext.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libGL-devel
Requires: libGLU-devel
Requires: pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.

%prep
%setup -q

%patch51 -p1 -b .no_undefined
%patch53 -p1 -b .pkgconfig

%build

%configure --disable-static

# manually set PTHREAD_LIBS to include -lpthread until libtool bogosity is fixed,
make %{?_smp_mflags} PTHREAD_LIBS="-pthread -lpthread"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%check
%if %{do_test}
make check
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/OpenEXR
%{_libdir}/pkgconfig/IlmBase.pc
%{_libdir}/lib*.so

%changelog
* Sun Jan 07 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Sat Sep  5 2015 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-2m)
- add specopt switch do_test

* Wed Sep 02 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Mon Dec 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Sun Jul 15 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-2m)
- fix build on i686

* Sat Jul 14 2012 NARITA koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2
- patches were imported from Fedora

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.1-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.1-7m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-6m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-5m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- initial package for OpenEXR-1.6.1
- import 2 patches from Fedora
